GETUMASK(3)

NAME
getumask - get file creation mask

SYNOPSIS
#include <sys/types.h>
#include <sys/stat.h>

mode_t getumask(void);

DESCRIPTION
This function returns the current file creation mask. It is equivalent to
mode_t getumask(void)
{
    mode_t mask = umask(0);
    umask(mask);
    return mask;
}
except that it is documented to be thread-safe (that is, shares a lock with the umask(2) library call).

CONFORMING TO
This is a vapourware GNU extension.

NOTES
This function is documented but not implemented yet in glibc 2.2.5.

SEE ALSO
umask(2)